petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectComposedDataRegister

Get an available id for composed data

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectComposedDataRegister(PetscInt *id)

Not Collective Many br

### Output parameter

id -an identifier under which data can be stored Many br

Many br

Notes: You must keep this value (for example in a global variable) in order to attach the data to an object or Many braccess in an object. Many br

seealso: PetscObjectComposedDataSetInt() Many br

Level:developer
Location:src/sys/objects/state.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages